kate Library: KateDocCursor Class Reference (kate Library)

| # kate Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KateDocCursor Class Reference

Cursor class with a pointer to its document. More...

`#include <katecursor.h>`

Inheritance diagram for KateDocCursor:

[legend]
Collaboration diagram for KateDocCursor:

[legend]
List of all members.

## Public Member Functions
| KateDocCursor (KateDocument *doc)
| KateDocCursor (int line, int col, KateDocument *doc)
bool | validPosition (uint line, uint col)
bool | validPosition ()
bool | gotoNextLine ()
bool | gotoPreviousLine ()
bool | gotoEndOfNextLine ()
bool | gotoEndOfPreviousLine ()
int | nbCharsOnLineAfter ()
bool | moveForward (uint nbChar)
bool | moveBackward (uint nbChar)
void | position (uint *line, uint *col) const
bool | setPosition (uint line, uint col)
bool | insertText (const QString &text)
bool | removeText (uint numberOfCharacters)
QChar | currentChar () const
uchar | currentAttrib () const
bool | nextNonSpaceChar ()
bool | previousNonSpaceChar ()
## Protected Attributes
KateDocument * | m_doc

## Detailed Description

Cursor class with a pointer to its document.

Definition at line 78 of file katecursor.h.

## Member Function Documentation

bool KateDocCursor::nextNonSpaceChar | ( |  | ) |

| Find the position (line and col) of the next char that is not a space. If found KateDocCursor points to the found character. Otherwise to a invalid Position such that validPosition() returns false. Returns: True if the specified or a following character is not a space Otherwise false. Definition at line 165 of file katecursor.cpp.

bool KateDocCursor::previousNonSpaceChar | ( |  | ) |

| Find the position (line and col) of the previous char that is not a space. If found KateDocCursor points to the found character. Otherwise to a invalid Position such that validPosition() returns false. Returns: True if the specified or a preceding character is not a space Otherwise false. Definition at line 178 of file katecursor.cpp.

The documentation for this class was generated from the following files:

- katecursor.h
- katecursor.cpp

This file is part of the documentation for kate Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:36:47 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003